from modeller.automodel import *

log.verbose()
env = environ()

a = automodel(env, alnfile='fzd1.pir', knowns='mfzd', sequence='fzd1')
# Very thorough VTFM optimization:
a.library_schedule = 1
a.max_var_iterations = 300
# Very thorough MD optimization:
a.md_level = refine.very_slow
# Repeat the whole cycle 3-times and do not stop unless obj.func. > 1E6
a.repeat_optimization = 3
a.max_molpdf = 1e6
a.starting_model = 1
a.ending_model = 3

a.make()
